=== debian/changelog ===
chaos (1.13.1-6) unstable; urgency=low

  * debian/rules: MAKEINFO=no (closes: #141009)

 -- Takuo KITAME <kitame@northeye.org>  Wed,  3 Apr 2002 15:16:12 +0900

chaos (1.13.1-5) unstable; urgency=low

  * remove wemi dependency. it was orphaned
  * Standards-Version: 3.5.2
  
 -- Takuo KITAME <kitame@northeye.org>  Fri, 23 Nov 2001 14:43:20 +0900

chaos (1.13.1-4) unstable; urgency=low

  * debian/control: Depends: flim(>= 1:1.14)

 -- Takuo KITAME <kitame@northeye.org>  Mon, 23 Oct 2000 15:11:33 +0900

chaos (1.13.1-3) unstable; urgency=low

  * Ready for "removing semi-gnus".
  * debian/control: Pre-Depends: dpkg (>= 1.6.8) (closes: Bug#63083)
    Depends: flim1.13|flim(>= 1.14)
    Provides: semi-gnus
    Conflicts: semi-gnus
    Replaces: semi-gnus

 -- Takuo KITAME <kitame@northeye.org>  Wed, 18 Oct 2000 15:46:42 +0900

chaos (1.13.1-2) unstable; urgency=low

  * debian/control: Build-Depends: debhelper, emacs20 (closes: Bug#70371)

 -- Takuo KITAME <kitame@northeye.org>  Tue, 17 Oct 2000 16:21:37 +0900

chaos (1.13.1-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@stormix.com>  Sun, 16 Apr 2000 22:10:54 +0900

chaos (1.13.0-4) unstable; urgency=low

  * emacsen-common: scripts modified
  * control: Standards-Version: 3.0.1
  * control: Maintainer: address changed
  * init.el: Fixed wrong load-path (closes: Bug#48352)
  * FHS compliance.

 -- Takuo KITAME <kitame@northeye.org>  Tue, 26 Oct 1999 13:03:45 +0900

chaos (1.13.0-3) unstable; urgency=low

  * emacsen-{install,remove} scripts modified for xemacs21, emacs19

 -- Takuro KITAME <kitame@northeye.org>  Mon, 21 Jun 1999 00:01:16 +0900

chaos (1.13.0-2) unstable; urgency=low

  * fixed typo of postinst (install-info)

 -- Takuro KITAME <kitame@debian.or.jp>  Tue, 15 Jun 1999 02:54:23 +0900

chaos (1.13.0-1) unstable; urgency=low

  * Initial Release.

 -- Takuro KITAME <kitame@debian.or.jp>  Mon, 14 Jun 1999 20:27:43 +0900

Local variables:
mode: debian-changelog
End:
