=== debian/control ===
Source: chaos
Section: news
Priority: optional
Maintainer: Takuo KITAME <kitame@northeye.org>
Build-Depends: debhelper (>= 3.0.0), emacs20
Standards-Version: 3.5.2

Package: chaos
Architecture: all
Pre-Depends: dpkg (>= 1.6.8)
Depends: emacsen, apel, flim(>= 1:1.14), semi(>= 1.13.4)
Provides: news-reader, mail-reader, semi-gnus
Conflicts: gnus, semi-gnus
Replaces: gnus, semi-gnus
Description: Replacement of Gnus with gnus-mime for SEMI. 
 Chaos is the latest branch of normally Semi-gnus.
 Semi-gnus is a replacement of Gnus with gnus-mime for SEMI.  It has
 all features of Gnus and gnus-mime, so there are no need to install
 Gnus to use it, and you must not use gnus-mime for SEMI.
 It requires SEMI package, so please get and install SEMI package
 before to install it.
 .
 Chaos is one of Semi-gnus variants.
 Now, "Semi-gnus" is generic name of Gnus for SEMI.
